JUCE: AudioFormatReader::ReadHelper< DestSampleType, SourceSampleType, SourceEndianness > Struct Template Reference

JUCE

Public Types | Static Public Member Functions | List of all members
AudioFormatReader::ReadHelper< DestSampleType, SourceSampleType, SourceEndianness > Struct Template Reference

Used by AudioFormatReader subclasses to copy data to different formats. More...

## Public Types
using | DestType = AudioData::Pointer< DestSampleType, AudioData::NativeEndian, AudioData::NonInterleaved, AudioData::NonConst >
using | SourceType = AudioData::Pointer< SourceSampleType, SourceEndianness, AudioData::Interleaved, AudioData::Const >

## Static Public Member Functions
template<typename TargetType >
static void | read (TargetType *const *destData, int destOffset, int numDestChannels, const void *sourceData, int numSourceChannels, int numSamples) noexcept

## Detailed Description

### template<class DestSampleType, class SourceSampleType, class SourceEndianness>
struct AudioFormatReader::ReadHelper< DestSampleType, SourceSampleType, SourceEndianness >

Used by AudioFormatReader subclasses to copy data to different formats.

## Member Typedef Documentation

## ◆ DestType

template<class DestSampleType , class SourceSampleType , class SourceEndianness >

using AudioFormatReader::ReadHelper< DestSampleType, SourceSampleType, SourceEndianness >::DestType = AudioData::Pointer<DestSampleType, AudioData::NativeEndian, AudioData::NonInterleaved, AudioData::NonConst>

## ◆ SourceType

template<class DestSampleType , class SourceSampleType , class SourceEndianness >

using AudioFormatReader::ReadHelper< DestSampleType, SourceSampleType, SourceEndianness >::SourceType = AudioData::Pointer<SourceSampleType, SourceEndianness, AudioData::Interleaved, AudioData::Const>

## Member Function Documentation

## ◆ read()

template<class DestSampleType , class SourceSampleType , class SourceEndianness >
template<typename TargetType >

static void AudioFormatReader::ReadHelper< DestSampleType, SourceSampleType, SourceEndianness >::read | ( | TargetType *const * | destData,
|  | int | destOffset,
|  | int | numDestChannels,
|  | const void * | sourceData,
|  | int | numSourceChannels,
|  | int | numSamples
| ) |  |
| staticnoexcept

References addBytesToPointer(), AudioData::Pointer< SampleFormat, Endianness, InterleavingType, Constness >::clearSamples(), and AudioData::Pointer< SampleFormat, Endianness, InterleavingType, Constness >::convertSamples().

The documentation for this struct was generated from the following file:

- juce_AudioFormatReader.h